<script src="https://polyfill.io/v3/polyfill.min.js?features=es6"></script>
<script id="MathJax-script" async src="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"></script>
<script src="../qworld/include/mathjax_macro.js"></script>

<script> qworld_header("Correlazione quantistica");  </script>

<p align="right" style="font-family:monospace;"><i>redatto da <a href='http://abu.lu.lv' target="_blank">Abuzer Yakaryilmaz<a/> (<a href="http://qworld.lu.lv/index.php/qlatvia/" target="_blank">QLatvia</a>)</i></p>
<hr>

<br><b>Convenzioni:</b> <i>Quando i qubit sono numerati come $ q_0,\ldots,q_n $, li combiniamo come $ q_n \otimes q_{n-1} \otimes \cdots \otimes q_0 $ e poi li leggiamo nell'ordine $ q_n,q_{n-1},\ldots,q_0 $.
<br><br> CNOT(qubit_di_controllo,qubit_target) rappresenta l'operatore Controlled-NOT.
</i><br><br>

<hr>

<script> start_div();  </script>
Abbiamo un sistema composto con due qubit $ q_1 $ e $ q_0 $ e ognuno di essi è nello stato $ \ket{0} $. Quale degli operatori seguenti porta lo stato del sistema composto a $ \sqrttwo \ket{00} + \sqrttwo\ket{11} $?
<br><br>
<script> 
	print_answer(0,"$ H(q_1),H(q_0) $"); print_br();
	print_answer(0,"$ H(q_1),CNOT(q_0,q_1) $"); print_br();
	print_answer(1,"$ H(q_1),CNOT(q_1,q_0) $"); print_br();
	print_answer(0,"$ CNOT(q_0,q_1),H(q_1) $"); print_br();
	print_answer(0,"$ CNOT(q_1,q_0),H(q_1) $");
	print_check_now();
	end_div();
</script>
<br>

<script> start_div();  </script>
Abbiamo un sistema composto con due qubit $ q_1 $ e $ q_0 $ che si trova nello stato $ \ket{00} $. Quale degli operatori seguenti porta lo stato del sistema composto a $ \sqrttwo \ket{01} + \sqrttwo\ket{10} $?
<br><br>
<script> 
	print_answer(0,"$ H(q_1),X(q_0),H(q_0) $"); print_br();
	print_answer(0,"$ H(q_1),X(q_1),H(q_0) $"); print_br();
	print_answer(0,"$ H(q_1),H(q_0),X(q_1) $"); print_br();
	print_answer(1,"$ X(q_0),H(q_1),CNOT(q_1,q_0) $"); print_br();
	print_answer(0,"$ H(q_1),X(q_0),CNOT(q_0,q_1) $"); 
	print_check_now();
	end_div();
</script>
<br>


<script> start_div();  </script>
Abbiamo un sistema composto con due qubit $ q_1 $ e $ q_0 $. Qual è la rappresentazione matriciale di $ CNOT(q_1,q_0) $ per questo sistema?
<br><br>
<script> 
	print_answer(0,"$ \\mymatrix{cccc}{ 1 & 0 & 0 & 0 \\\\ 0 & 1 & 0 & 0 \\\\ 0 & 0 & 1 & 0 \\\\ 0 & 0 & 0 & 1 } $");
	print_answer(1,"$ \\mymatrix{cccc}{ 1 & 0 & 0 & 0 \\\\ 0 & 1 & 0 & 0 \\\\ 0 & 0 & 0 & 1 \\\\ 0 & 0 & 1 & 0 } $");
	print_answer(0,"$ \\mymatrix{cccc}{ 0 & 1 & 0 & 0 \\\\ 1 & 0 & 0 & 0 \\\\ 0 & 0 & 1 & 0 \\\\ 0 & 0 & 0 & 1 } $");
	print_answer(0,"$ \\mymatrix{cccc}{ 0 & 1 & 0 & 0 \\\\ 1 & 0 & 0 & 0 \\\\ 0 & 0 & 0 & 1 \\\\ 0 & 0 & 1 & 0 } $");
	print_answer(0,"$ \\mymatrix{cccc}{ 1 & 0 & 0 & 0 \\\\ 0 & 0 & 0 & 1 \\\\ 0 & 0 & 1 & 0 \\\\ 0 & 1 & 0 & 0 } $");	
	print_check_now();
	end_div();
</script>
<br>


<script> start_div();  </script>
Abbiamo un sistema composto con due qubit $ q_1 $ e $ q_0 $. Qual è la rappresentazione matriciale di $ CNOT(q_0,q_1) $ per questo sistema?
<br><br>
<script> 
	print_answer(0,"$ \\mymatrix{cccc}{ 1 & 0 & 0 & 0 \\\\ 0 & 1 & 0 & 0 \\\\ 0 & 0 & 1 & 0 \\\\ 0 & 0 & 0 & 1 } $");
	print_answer(0,"$ \\mymatrix{cccc}{ 1 & 0 & 0 & 0 \\\\ 0 & 1 & 0 & 0 \\\\ 0 & 0 & 0 & 1 \\\\ 0 & 0 & 1 & 0 } $");
	print_answer(0,"$ \\mymatrix{cccc}{ 0 & 1 & 0 & 0 \\\\ 1 & 0 & 0 & 0 \\\\ 0 & 0 & 1 & 0 \\\\ 0 & 0 & 0 & 1 } $");
	print_answer(0,"$ \\mymatrix{cccc}{ 0 & 1 & 0 & 0 \\\\ 1 & 0 & 0 & 0 \\\\ 0 & 0 & 0 & 1 \\\\ 0 & 0 & 1 & 0 } $");
	print_answer(1,"$ \\mymatrix{cccc}{ 1 & 0 & 0 & 0 \\\\ 0 & 0 & 0 & 1 \\\\ 0 & 0 & 1 & 0 \\\\ 0 & 1 & 0 & 0 } $");
	print_check_now();
	end_div();
</script>
<br>

<script> start_div();  </script>
Abbiamo un sistema composto con due qubit $ q_1 $ e $ q_0 $ che si trova nello stato $ \frac{1}{2}\ket{00} - \frac{1}{2}\ket{01} - \frac{1}{2}\ket{10} + \frac{1}{2}\ket{11} $. Quali sono gli stati di $ q_1 $ e $ q_0 $ separatamente?
<br><br>
<script> 
	print_answer(0,"$ \\ket{+} \\mbox{ e } \\ket{+} $");
	print_answer(1,"$ \\ket{-} \\mbox{ e } \\ket{-} $");
	print_answer(0,"$ \\ket{+} \\mbox{ e } \\ket{-} $");
	print_answer(0,"$ \\ket{-} \\mbox{ e } \\ket{+} $");
	print_answer(0,"$ \\ket{+} \\mbox{ e } -\\ket{+} $");
	print_check_now();
	end_div();
</script>
<br>


<script> start_div();  </script>
Abbiamo un sistema composto con due qubit $ q_1 $ e $ q_0 $ che si trova nello stato $ \ket{00} $. Qual è lo stato dopo aver applicato $ H(q_1) $, $CNOT(q_1,q_0) $, e $ Z(q_0) $ nell'ordine?
<br><br>
<script> 
	print_answer(0,"$ \\frac{1}{\\sqrt{2}} \\mypar{ \\ket{00} + \\ket{01} } $");
	print_answer(0,"$ \\frac{1}{\\sqrt{2}} \\mypar{ \\ket{00} + \\ket{11} } $");
	print_answer(0,"$ \\frac{1}{\\sqrt{2}} \\mypar{ \\ket{00} - \\ket{01} } $");
	print_answer(1,"$ \\frac{1}{\\sqrt{2}} \\mypar{ \\ket{00} - \\ket{11} } $");
	print_answer(0,"$ \\frac{1}{\\sqrt{2}} \\mypar{ \\ket{10} + \\ket{11} } $");
	print_check_now();
	end_div();
</script>
<br>


<script> start_div();  </script>
Abbiamo un sistema composto con due qubit $ q_1 $ e $ q_0 $ che si trova nello stato $ \frac{1}{\sqrt{2}}\ket{01} - \frac{1}{\sqrt{2}}\ket{10} $. Dopo aver applicato quale dei seguenti operatori, il sistema non sarà più entangled?
<br><br>
<script> 
	print_answer(0,"$ H(q_1)$");
	print_answer(0,"$ H(q_0)$");
	print_answer(0,"$ X(q_1), X(q_0) $");
	print_answer(0,"$ X(q_1), Z(q_0) $");
	print_answer(1,"$ CNOT(q_0,q_1) $");
	print_check_now();
	end_div();
</script>
<br>



<script> start_div();  </script>
Abbiamo un sistema composto con due qubit $ q_1 $ e $ q_0 $. Applichiamo l'operatore di Hadamard al qubit $ q_0 $ che corrisponde alla matrice $ 4 \times 4 $ $ I \otimes H $ applicata al sistema composto. Qual è questa matrice?
<br><br>
<script> 
	print_answer(0,"$ \\mymatrix{rrrr}{ \\sqrttwo & \\sqrttwo & 0 & 0 \\\\ \\sqrttwo & - \\sqrttwo & 0 & 0 \\\\ 0 & 0 & 1 & 0 \\\\ 0 & 0 & 0 & 1 } $");
	print_answer(0,"$ \\mymatrix{rrrr}{ 1 & 0 & 0 & 0 \\\\ 0 & 1 & 0 & 0 \\\\ 0 & 0 & \\sqrttwo & \\sqrttwo \\\\ 0 & 0 & \\sqrttwo & -\\sqrttwo } $");
	print_answer(1,"$ \\mymatrix{rrrr}{ \\sqrttwo & \\sqrttwo & 0 & 0 \\\\ \\sqrttwo & - \\sqrttwo & 0 & 0 \\\\ 0 & 0 & \\sqrttwo & \\sqrttwo \\\\ 0 & 0 & \\sqrttwo & -\\sqrttwo } $"); print_br();
	print_answer(0,"$ \\mymatrix{rrrr}{ 0 & 0 & \\sqrttwo & \\sqrttwo \\\\ 0 & 0 & \\sqrttwo & - \\sqrttwo \\\\ 1 & 0 & 0 & 0 \\\\ 0 & 1 & 0 & 0 } $");
	print_answer(0,"$ \\mymatrix{rrrr}{ 0 & 0 & 1 & 0 \\\\ 0 & 0 & 0 & 1 \\\\ \\sqrttwo & \\sqrttwo & 0 & 0 \\\\ \\sqrttwo & -\\sqrttwo & 0 & 0 } $");
	print_check_now();
	end_div();
</script>
<br>


<script> start_div();  </script>
Abbiamo un sistema composto con tre qubit $ q_2, q_1, q_0 $. 
Qual è lo stato finale se $ CNOT(q_0,q_2) $ viene applicato allo stato $ \mypar{ \frac{1}{\sqrt{2}} \ket{101} + \frac{1}{\sqrt{3}} \ket{110} + \frac{1}{\sqrt{6}} \ket{011}} $?
<br><br>
<script> 
	print_answer(0,"$ \\frac{1}{\\sqrt{2}} \\ket{101} + \\frac{1}{\\sqrt{3}} \\ket{110} + \\frac{1}{\\sqrt{6}} \\ket{011}  $");
	print_br();
	print_answer(0,"$ \\frac{1}{\\sqrt{2}} \\ket{111} + \\frac{1}{\\sqrt{3}} \\ket{100} + \\frac{1}{\\sqrt{6}} \\ket{011}  $");
	print_br();
	print_answer(0,"$ \\frac{1}{\\sqrt{2}} \\ket{100} + \\frac{1}{\\sqrt{3}} \\ket{111} + \\frac{1}{\\sqrt{6}} \\ket{011}  $");
	print_br();
	print_answer(1,"$ \\frac{1}{\\sqrt{2}} \\ket{001} + \\frac{1}{\\sqrt{3}} \\ket{110} + \\frac{1}{\\sqrt{6}} \\ket{111}  $");
	print_br();
	print_answer(0,"$ \\frac{1}{\\sqrt{2}} \\ket{101} + \\frac{1}{\\sqrt{3}} \\ket{111} + \\frac{1}{\\sqrt{6}} \\ket{010}  $");
	print_check_now();
	end_div();
</script>
<br>


<script> start_div();  </script>
Abbiamo un sistema composto con tre qubit $ q_2, q_1, q_0 $ che si trova nello stato $ \mypar{ \frac{1}{\sqrt{2}} \ket{101} + \frac{1}{\sqrt{3}} \ket{110} + \frac{1}{\sqrt{6}} \ket{011}} $. Misuriamo solamente il qubit $ q_2 $. 
Qual è la probabilità di osservare lo stato $ \ket{1} $? 
<br><br>
<script> 
	print_answer(0,"$ 0 $");
	print_answer(0,"$ \\frac{1}{2}   $");
	print_answer(0,"$ \\frac{1}{3}   $");
	print_answer(0,"$ \\frac{1}{6}   $");
	print_answer(1,"$ \\frac{5}{6}   $");
	print_check_now();
	end_div();
</script>
<br>

<script> start_div();  </script>
Abbiamo un sistema composto con tre qubit $ q_2, q_1, q_0 $ che si trova nello stato $ \mypar{ \frac{1}{\sqrt{2}} \ket{101} + \frac{1}{\sqrt{3}} \ket{110} + \frac{1}{\sqrt{6}} \ket{011}} $. Misuriamo solamente il qubit $ q_0 $. 
Qual è la probabilità di osservare lo stato $ \ket{0} $? 
<br><br>
<script> 
	print_answer(0,"$ 0 $");
	print_answer(0,"$ \\frac{1}{2}   $");
	print_answer(1,"$ \\frac{1}{3}   $");
	print_answer(0,"$ \\frac{1}{6}   $");
	print_answer(0,"$ \\frac{5}{6}   $");
	print_check_now();
	end_div();
</script>
<br>

<script> start_div();  </script>
Abbiamo un sistema composto con tre qubit $ q_2, q_1, q_0 $ che si trova nello stato $ \mypar{ \frac{1}{\sqrt{2}} \ket{101} + \frac{1}{\sqrt{3}} \ket{110} + \frac{1}{\sqrt{6}} \ket{011}} $. Se misuriamo il qubit $ q_1 $ e osserviamo lo stato $ \ket{1} $, qual è il nuovo stato del sistema composto?
<br><br>
<script> 
	print_answer(0,"$  \\sqrt{ \\frac{1}{3} } \\ket{110} + \\sqrt{ \\frac{1}{6} } \\ket{011}  $");
	print_answer(1,"$  \\sqrt{ \\frac{2}{3} } \\ket{110} + \\sqrt{ \\frac{1}{3} } \\ket{011}  $"); 
	print_answer(0,"$  \\sqrt{ \\frac{1}{2} } \\ket{110} + \\sqrt{ \\frac{1}{2} } \\ket{011}  $");
	print_answer(0,"$  \\ket{110}  $"); 
	print_answer(0,"$  \\ket{011}  $");	
	print_check_now();
	end_div();
</script>
<br>

<script> start_div();  </script>
Abbiamo un sistema composto con tre qubit $ q_2, q_1, q_0 $ che si trova nello stato $ \mypar{ \frac{1}{\sqrt{2}} \ket{101} + \frac{1}{\sqrt{3}} \ket{110} + \frac{1}{\sqrt{6}} \ket{011}} $. Se misuriamo il qubit $ q_1 $ e osserviamo lo stato $ \ket{0} $, qual è il nuovo stato del sistema composto?
<br><br>
<script> 
	print_answer(0,"$  \\ket{000}  $");	
	print_answer(0,"$  \\ket{001}  $");	
	print_answer(0,"$  \\ket{010}  $");	
	print_answer(0,"$  \\ket{011}  $");	
	print_answer(1,"$  \\ket{101}  $");	
	print_check_now();
	end_div();
</script>
<br>

<script> start_div();  </script>
Abbiamo un sistema composto con tre qubit $ q_2, q_1, q_0 $ che si trova nello stato $ \mypar{ \frac{1}{\sqrt{2}} \ket{101} + \frac{1}{\sqrt{3}} \ket{110} + \frac{1}{\sqrt{6}} \ket{011}} $. Se misuriamo il qubit $ q_2 $, quale delle seguenti miscele di stati viene ottenuta?
<br><br>
<script> 
	print_answer(0,"$ \\mypar{ \\sqrt{\\frac{1}{6}}  \\ket{011}} \\mbox{ con probabilità } \\frac{1}{6} ~~\\mbox{ e }~~ \\mypar{ \\sqrt{\\frac{1}{2}} \\ket{101} + \\sqrt{\\frac{1}{3}}  \\ket{110} } \\mbox{ con probabilità } \\frac{5}{6}  $");
	print_br();
	print_answer(0,"$ \\mypar{ \\sqrt{\\frac{1}{6}}  \\ket{011}} \\mbox{ con probabilità } \\frac{1}{2} ~~\\mbox{ e }~~ \\mypar{ \\sqrt{\\frac{1}{2}} \\ket{101} + \\sqrt{\\frac{1}{3}}  \\ket{110} } \\mbox{ con probabilità } \\frac{1}{2}  $");
	print_br();
	print_answer(1,"$ \\mypar{\\ket{011}} \\mbox{ con probabilità } \\frac{1}{6} ~~\\mbox{ e }~~ \\mypar{ \\sqrt{\\frac{3}{5}} \\ket{101} + \\sqrt{\\frac{2}{5}}  \\ket{110} } \\mbox{ con probabilità } \\frac{5}{6}  $");
	print_br();
	print_answer(0,"$ \\mypar{\\ket{011}} \\mbox{ con probabilità } \\frac{1}{2} ~~\\mbox{ e }~~ \\mypar{ \\sqrt{\\frac{3}{5}} \\ket{101} + \\sqrt{\\frac{2}{5}}  \\ket{110} } \\mbox{ con probabilità } \\frac{1}{2}  $");
	print_br();
	print_answer(0,"$ \\mypar{\\ket{011}} \\mbox{ con probabilità } 0 ~~\\mbox{ e }~~ \\mypar{ \\sqrt{\\frac{3}{5}} \\ket{101} + \\sqrt{\\frac{2}{5}}  \\ket{110} } \\mbox{ con probabilità } 1  $");
	print_check_now();
	end_div();
</script>
<br>

<script> start_div();  </script>
Abbiamo un sistema composto con tre qubit $ q_2, q_1, q_0 $ che si trova nello stato $ \mypar{ \frac{1}{\sqrt{2}} \ket{101} + \frac{1}{\sqrt{3}} \ket{110} + \frac{1}{\sqrt{6}} \ket{011}} $. Se applichiamo l'operatore di Hadamard al qubit $ q_0 $, quale sarà il nuovo stato del sistema?
<br><br>
<script> 
	print_answer(0,"$ \\sqrt{\\frac{1}{12}} \\ket{010} + \\sqrt{\\frac{1}{12}} \\ket{011} + \\sqrt{\\frac{1}{4}} \\ket{100} + \\sqrt{\\frac{1}{4}} \\ket{101} + \\sqrt{\\frac{1}{6}} \\ket{110} + \\sqrt{\\frac{1}{6}} \\ket{111} $");
	print_br();
	print_answer(1,"$ \\sqrt{\\frac{1}{12}} \\ket{010} -  \\sqrt{\\frac{1}{12}} \\ket{011} + \\sqrt{\\frac{1}{4}} \\ket{100} - \\sqrt{\\frac{1}{4}} \\ket{101} + \\sqrt{\\frac{1}{6}} \\ket{110} + \\sqrt{\\frac{1}{6}} \\ket{111} $");
	print_br();
	print_answer(0,"$ \\sqrt{\\frac{1}{4}} \\ket{010} +  \\sqrt{\\frac{1}{4}} \\ket{011} + \\sqrt{\\frac{1}{6}} \\ket{100} + \\sqrt{\\frac{1}{6}} \\ket{101} + \\sqrt{\\frac{1}{12}} \\ket{110} + \\sqrt{\\frac{1}{12}} \\ket{111} $");
	print_br();
	print_answer(0,"$ \\sqrt{\\frac{1}{4}} \\ket{010} -  \\sqrt{\\frac{1}{4}} \\ket{011} + \\sqrt{\\frac{1}{6}} \\ket{100} - \\sqrt{\\frac{1}{6}} \\ket{101} + \\sqrt{\\frac{1}{12}} \\ket{110} + \\sqrt{\\frac{1}{12}} \\ket{111} $");
	print_br();
	print_answer(0,"$ - \\sqrt{\\frac{1}{4}} \\ket{010} -  \\sqrt{\\frac{1}{4}} \\ket{011} + \\sqrt{\\frac{1}{6}} \\ket{100} + \\sqrt{\\frac{1}{6}} \\ket{101} - \\sqrt{\\frac{1}{12}} \\ket{110} - \\sqrt{\\frac{1}{12}} \\ket{111} $");
	print_check_now();
	end_div();
</script>
<br>


<script> start_div();  </script>
Abbiamo un sistema composto con due qubit $ q_1 $ e $ q_0 $. In quale degli stati seguenti il sistema non è entangled?
<br><br>
<script> 
	print_answer(0,"$ \\frac{1}{2} \\myrvector{ -1 \\\\ 1 \\\\ 1 \\\\ 1 } $");
	print_answer(0,"$ \\frac{1}{2} \\myrvector{ 1 \\\\ -1 \\\\ -1 \\\\ -1 } $");
	print_answer(0,"$ \\frac{1}{2} \\myrvector{ -1 \\\\ 1 \\\\ -1 \\\\ -1 } $");
	print_answer(1,"$ \\frac{1}{2} \\myrvector{ -1 \\\\ 1 \\\\ 1 \\\\ -1 } $");
	print_answer(0,"$ \\frac{1}{2} \\myrvector{ 1 \\\\ 1 \\\\ 1 \\\\ -1 } $");
	print_check_now();
	end_div();
</script>
<br>


<script> start_div();  </script>
Abbiamo un sistema composto con due qubit $ q_1 $ e $ q_0 $ tensorizzati come $ q_1 \otimes q0 $, che si trova nello stato $ \ket{00} $. 
<br><br>
Dopo aver applicato quale dei seguenti operatori il sistema si troverà nello stato $ \frac{1}{2} \mypar{ \ket{00} - \ket{01} -\ket{10} - \ket{11} } $ ?
<br><br>
<script> 
	print_answer(0,"$ H(q_1),CNOT(q_1,q_0), H(q_1), Z(q_0) $"); print_br();
	print_answer(1,"$ H(q_1), X(q_0), CNOT(q_1,q_0), H(q_1), Z(q_0) $"); print_br();
	print_answer(0,"$ H(q_1),CNOT(q_0,q_1), H(q_1), Z(q_0) $"); print_br();
	print_answer(0,"$ H(q_1), X(q_0), CNOT(q_1,q_0), H(q_1) $"); print_br();
	print_answer(0,"$ H(q_1), X(q_0), CNOT(q_0,q_1), H(q_1), Z(q_0) $");
	print_check_now();
	end_div();
</script>
<br>

<script>
	print_check_all(); 
	inialize_user_answers()
</script>

